local mod = ...



-- Asset -------------------------------------------------------------------------------------
mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorMaleFront", "PREFAB_AUTHORITY_COUNCILLOR_MALE_FRONT")
mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorMaleHat", "PREFAB_AUTHORITY_COUNCILLOR_MALE_HAT")

mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorFemaleFront", "PREFAB_AUTHORITY_COUNCILLOR_FEMALE_FRONT")
mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorFemaleBelt", "PREFAB_AUTHORITY_COUNCILLOR_FEMALE_BELT")
mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorFemaleHat", "PREFAB_AUTHORITY_COUNCILLOR_FEMALE_HAT")

mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorAssistantMaleHat", "PREFAB_AUTHORITY_COUNCILLOR_ASSISTANT_MALE_HAT")
mod:registerAssetId("models/Authority2.fbx/Prefab/CouncillorAssistantFemaleHat", "PREFAB_AUTHORITY_COUNCILLOR_ASSISTANT_FEMALE_HAT")



-- Job: Councillor -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_AUTHORITY_COUNCILLOR",
	JobName = "JOB_AUTHORITY_COUNCILLOR_NAME",
	JobDescription = "JOB_AUTHORITY_COUNCILLOR_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
    ProductionDelay = 60.0,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
        -- RightHandObject = {
		-- 	DataType = "HAND_OBJECT",
        --     Model = "PREFAB_TOOL_GUARD_SPEAR"
        -- },
        MaleHatList = {
            "PREFAB_AUTHORITY_COUNCILLOR_MALE_HAT",
        }, 
        MaleBeltList = {
            "PREFAB_AUTHORITY_BLANK",
        },
        MaleFrontList = {
            "PREFAB_AUTHORITY_COUNCILLOR_MALE_FRONT",
        },
        FemaleHatList = {
            "PREFAB_AUTHORITY_COUNCILLOR_FEMALE_HAT",
        }, 
        FemaleBeltList = {
            "PREFAB_AUTHORITY_COUNCILLOR_FEMALE_BELT",
        },
        FemaleFrontList = {
            "PREFAB_AUTHORITY_COUNCILLOR_FEMALE_FRONT",
        },
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE"
	}
})

mod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR"
    }
})

mod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR"
    }
})

mod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR"
    }
})

mod:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR"
    }
})



-- Job: Council Assistant -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_AUTHORITY_COUNCILLOR_ASSISTANT",
	JobName = "JOB_AUTHORITY_COUNCILLOR_ASSISTANT_NAME",
	JobDescription = "JOB_AUTHORITY_COUNCILLOR_ASSISTANT_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
    ProductionDelay = 60.0,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
        -- RightHandObject = {
		-- 	DataType = "HAND_OBJECT",
        --     Model = "PREFAB_TOOL_GUARD_SPEAR"
        -- },
        MaleHatList = {
            "PREFAB_AUTHORITY_COUNCILLOR_ASSISTANT_MALE_HAT",
        }, 
        FemaleHatList = {
            "PREFAB_AUTHORITY_COUNCILLOR_ASSISTANT_FEMALE_HAT",
        }, 
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE"
	}
})

mod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR_ASSISTANT"
    }
})

mod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR_ASSISTANT"
    }
})

mod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR_ASSISTANT"
    }
})

mod:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_COUNCILLOR_ASSISTANT"
    }
})



-- Resource: Advice -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Advice.png", "ICON_ADVICE_COUNCIL")

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_ADVICE_COUNCIL",
	ResourceName = "RESOURCE_ADVICE_COUNCIL_NAME",
	Icon = "ICON_ADVICE_COUNCIL",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
    DisplayInInventory = false,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Building Function: Council -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_AUTHORITY_COUNCIL",
	Name = "BUILDING_FUNCTION_AUTHORITY_COUNCIL_NAME",
	HasMaximumInstance = true,
	MaximumInstanceAllowed = 1,
	WorkerCapacity = 3,
	UpkeepPerWorker = {
		{
			Resource = "GOLD_COINS",
			Quantity = 10
		}
	},
    RelatedJob = { 
        Job = "JOB_AUTHORITY_COUNCILLOR",
        Behavior = "BEHAVIOR_WORK"
    },
    InputInventoryCapacity = {
	},
    ResourceListNeeded = {
	},
	ResourceProduced = {
        { Resource = "RESOURCE_ADVICE_COUNCIL", Quantity = 1 },
    }
})



-- Building Function: Council's Assistant -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_AUTHORITY_COUNCIL_ASSISTANT",
	Name = "BUILDING_FUNCTION_AUTHORITY_COUNCIL_ASSISTANT_NAME",
	HasMaximumInstance = true,
	MaximumInstanceAllowed = 1,
	WorkerCapacity = 3,
	UpkeepPerWorker = {
		{
			Resource = "GOLD_COINS",
			Quantity = 2
		}
	},
    RelatedJob = { 
        Job = "JOB_AUTHORITY_COUNCILLOR_ASSISTANT", 
        Behavior = "BEHAVIOR_WORK"
    },
    InputInventoryCapacity = {
        { Resource = "RESOURCE_WAGE", Quantity = 50 },
        { Resource = "RESOURCE_ADVICE_COUNCIL", Quantity = 10 },
	},
    ResourceListNeeded = {
        { Resource = "RESOURCE_WAGE", Quantity = 5 },
        { Resource = "RESOURCE_ADVICE_COUNCIL", Quantity = 1 },
	},
	ResourceProduced = {
        { Resource = "RESOURCE_AUTHORITY", Quantity = 1 },
    }
})



-- Building Function List: Lord Manor (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
	Id = "BUILDING_FUNCTION_LIST_LORD_MANOR",
	AssetFunctionList = {
		Action = "APPEND",
		"BUILDING_FUNCTION_AUTHORITY_COUNCIL"
	}
})

